package com.keao.edu.auth.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.keao.edu.auth.api.entity.SysRoleMenu;
import com.keao.edu.common.dal.BaseDAO;

public interface SysRoleMenuDao extends BaseDAO<Integer, SysRoleMenu> {

	/**
	 * 根据角色查询权限列表
	 * @param roleId
	 * @return
	 */
	List<String> queryPermissionsByRoleId(Integer roleId);

	/**
	 * 根据角色查询权限列表
	 * @param roleId
	 * @return
	 */
	List<Integer> queryMenuIdByRoleId(Integer roleId);

	/**
	 * 删除角色菜单权限
	 * @param sysRoleMenu
	 * @return
	 */
	int delete(SysRoleMenu sysRoleMenu);

	/**
	 * 删除角色所有的菜单权限
	 * @param id
	 */
	void deleteAllMenu(Integer id);

	/**
	 * 批量插入角色菜单
	 * @param roleId
	 * @param menuIds
	 * @param tenantId
	 */
    void batchAdd(@Param("roleId") Integer roleId,@Param("menuIds")  List<Integer> menuIds,@Param("tenantId") String tenantId);
}